> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# アノテーションキュー項目クエリ

> annotation queue内の項目をページネーションと並べ替えでクエリします。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json post /annotation_queues/{queue_id}/items/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/{queue_id}/items/query:
    post:
      tags:
        - Annotation Queues
      summary: アノテーションキュー項目クエリ
      description: annotation queue内の項目をページネーションと並べ替えでクエリします。
      operationId: >-
        annotation_queue_items_query_annotation_queues__queue_id__items_query_post
      parameters:
        - in: path
          name: queue_id
          required: true
          schema:
            title: Queue Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueueItemsQueryBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueItemsQueryRes'
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueItemsQueryBody:
      additionalProperties: false
      description: アノテーションキュー内の項目をクエリするためのリクエストボディ（queue_id はパスから取得）。
      properties:
        filter:
          anyOf:
            - $ref: '#/components/schemas/AnnotationQueueItemsFilter'
            - type: 'null'
          description: コールのメタデータとアノテーション状態でキュー項目をフィルター
        include_position:
          default: false
          description: position_in_queue フィールドを含める（キュー全体内での 1 始まりのインデックス）
          title: Include Position
          type: boolean
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          examples:
            - 50
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          examples:
            - 0
          title: Offset
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        sort_by:
          anyOf:
            - items:
                $ref: '#/components/schemas/SortBy'
              type: array
            - type: 'null'
          description: '複数のフィールドで並べ替え（例: created_at、updated_at）'
          title: Sort By
      required:
        - project_id
      title: AnnotationQueueItemsQueryBody
      type: object
    AnnotationQueueItemsQueryRes:
      description: アノテーションキュー項目をクエリした際のレスポンス。
      properties:
        items:
          items:
            $ref: '#/components/schemas/AnnotationQueueItemSchema'
          title: Items
          type: array
      required:
        - items
      title: AnnotationQueueItemsQueryRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AnnotationQueueItemsFilter:
      description: |-
        アノテーションキュー項目用のシンプルなフィルター。

        コールのメタデータフィールドに対する等価フィルタリングと、アノテーション状態に対する IN フィルタリングをサポートします。
      properties:
        added_by:
          anyOf:
            - type: string
            - type: 'null'
          description: コールを追加した W&B ユーザーの ID でフィルター
          title: Added By
        annotation_states:
          anyOf:
            - items:
                enum:
                  - unstarted
                  - in_progress
                  - completed
                  - skipped
                type: string
              type: array
            - type: 'null'
          description: アノテーション状態でフィルター（unstarted、in_progress、completed、skipped）
          examples:
            - - unstarted
              - in_progress
          title: Annotation States
        call_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 完全一致するコール ID でフィルター
          title: Call Id
        call_op_name:
          anyOf:
            - type: string
            - type: 'null'
          description: 完全一致するオペレーション名でフィルター
          title: Call Op Name
        call_trace_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 完全一致するトレース ID でフィルター
          title: Call Trace Id
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: 完全一致するキュー項目 ID でフィルター
          title: Id
      title: AnnotationQueueItemsFilter
      type: object
    SortBy:
      additionalProperties: false
      properties:
        direction:
          enum:
            - asc
            - desc
          title: Direction
          type: string
        field:
          title: Field
          type: string
      required:
        - field
        - direction
      title: SortBy
      type: object
    AnnotationQueueItemSchema:
      description: アノテーションキュー項目のレスポンス用スキーマ。
      properties:
        added_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Added By
        annotation_state:
          enum:
            - unstarted
            - in_progress
            - completed
            - skipped
          title: Annotation State
          type: string
        annotator_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Annotator User Id
        call_ended_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Call Ended At
        call_id:
          title: Call Id
          type: string
        call_op_name:
          title: Call Op Name
          type: string
        call_started_at:
          format: date-time
          title: Call Started At
          type: string
        call_trace_id:
          title: Call Trace Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        display_fields:
          items:
            type: string
          title: Display Fields
          type: array
        id:
          title: Id
          type: string
        position_in_queue:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position In Queue
        project_id:
          title: Project Id
          type: string
        queue_id:
          title: Queue Id
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - project_id
        - queue_id
        - call_id
        - call_started_at
        - call_op_name
        - call_trace_id
        - display_fields
        - annotation_state
        - created_at
        - created_by
        - updated_at
      title: AnnotationQueueItemSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````